@import 'variables';

section.contacts {
    min-height: auto;
    background-color: $mainGreen;
    @media screen and (min-width: $tablet) {
        display: flex;
        flex-direction: column;
        align-items: center;
        width: 100%;
        .contacts-wrap {
            display: flex;
            justify-content: space-between;
            width: 100%;
            align-self: center;
            padding-top: 82px;
            padding-bottom: 50px;
        }
    }

    @media screen and (min-width: $sDesktop) {
        .contacts-wrap {
            padding-bottom: 83px;
            padding-top: 43px;
        }
    }

    @media screen and (min-width: $Desktop) {
        .contacts-wrap {
            padding-bottom: 51px;
            padding-top: 51px;
        }
    }

    .contacts-left {
        padding-top: 60px;
        padding-bottom: 60px;
        display: flex;
        flex-direction: column;
        color: white;

        @media screen and (min-width: $tablet) {
            padding: 0;
            align-self: center;
            margin-right: 1px;
        }
        .label {
            font-size: 11.5vw;
            text-transform: uppercase;
            font-weight: 700;
            @media screen and (min-width: $tablet) {
                font-size: 24px;
            }
            @media screen and (min-width: $sDesktop) {
                font-size: 34px;
            }
        }

        .working-hours {
            font-size: 4.2vw;
            margin-top: 20px;
            margin-bottom: 20px;
            font-weight: 500;
            @media screen and (min-width: $tablet) {
                margin-top: 8px;
                margin-bottom: 8px;
                font-size: 12px;
            }
            @media screen and (min-width: $sDesktop) {
                font-size: 13px;
                margin: 15px 0;
            }
            @media screen and (min-width: $Desktop) {
                font-size: 16px;
                margin: 25px 0;
            }
        }

        .address,
        .phone,
        .email {
            font-size: 4.2vw;
            font-weight: 500;
            @media screen and (min-width: $tablet) {
                font-size: 12px;
            }
            @media screen and (min-width: $sDesktop) {
                font-size: 13px;
            }
            @media screen and (min-width: $Desktop) {
                font-size: 16px;
            }
        }

        .email {
            margin-bottom: 30px;
            @media screen and (min-width: $tablet) {
                margin-bottom: 15px;
            }
            @media screen and (min-width: $sDesktop) {
                margin-bottom: 20px;
            }
            @media screen and (min-width: $Desktop) {
                margin-bottom: 35px;
            }
        }
        @media screen and (min-width: $tablet) {
            .media {
                align-self: flex-start;
                a {
                    width: 14px;
                    height: 14px;
                    margin: 0 5px;
                    &:first-child {
                        margin-left: 0;
                    }
                    svg {
                        width: 14px;
                        height: 14px;
                    }
                }
            }
        }
        @media screen and (min-width: $sDesktop) {
            .media {
                a {
                    width: 20px;
                    height: 20px;
                    margin: 0 7.5px;
                    svg {
                        width: 20px;
                        height: 20px;
                    }
                }
            }
        }
        @media screen and (min-width: $Desktop) {
            .media {
                a {
                    width: 34px;
                    height: 34px;
                    margin: 0 12.5px;
                    svg {
                        width: 34px;
                        height: 34px;
                    }
                }
            }
        }
    }

    .contacts-right {
        position: relative;
        height: 80vw;
        @media screen and (min-width: $tablet) {
            height: 252px;
            width: 66%;
        }
        @media screen and (min-width: $sDesktop) {
            height: 367px;
        }
        @media screen and (min-width: $Desktop) {
            height: 598px;
        }
        iframe {
            z-index: 0;
            position: absolute;
            width: calc(100% + 44px);
            height: 80vw;
            transform: translateX(-22px);
            @media screen and (min-width: $tablet) {
                height: 252px;
                width: 100%;
                transform: unset;
            }
            @media screen and (min-width: $sDesktop) {
                height: 367px;
            }
            @media screen and (min-width: $Desktop) {
                height: 598px;
            }
        }
    }
}
